:root{
    --blanco: #FFFFFF;
    --oscuro: #212121;
    --primario: #ffc107;
    --secundario: #0097A7;
    --gris: #757575;
    --rojo: #E43030;
    --gris-claro: #BCBCB6;
    --green: #66DB6E;
}

/* Globales */
html {
    font-size: 62.5%;
    box-sizing: border-box;
    scroll-snap-type: y mandatory;
}

*, *:before, *:after{
    box-sizing: inherit;
}

body{
    font-size: 16px; /* 1rem = 10px */
    font-family: 'Krub', sans-serif;
}

.contenedor{
    max-width: 120rem;
    margin: 0 auto;
}

.boton{
    background-color: var(--secundario);
    color: var(--blanco);
    padding: 1rem 3rem;
    margin-top: 1rem;
    font-size: 2rem;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: .5rem;
    width: 100%;
    text-align: center;
    border: none;
}   

@media (min-width: 480px){
    .boton{
        width: auto;
    }
}

.boton:hover{
    cursor: pointer;
    background-color: var(--primario);
    color: var(--secundario);
}


/* Tipografia */

h1{
    font-size: 3.8rem;
}

h2{
    font-size: 2.8rem;
}

h3{
    font-size:1.8rem;
}

h1,h2,h3{
    text-align: center;
}

span {
    color: var(--rojo);
}

P{
    color: var(--gris-claro);
    font-weight: bold;
}

span i{
    padding: 1rem;
    color: var(--secundario);
}

img{
    width: 100%;
}

/* Form Contacto */

.formulario{
    background-color: var(--gris);
    width: min( 80rem, 100% ); /** Utiliza el valor mas pequeño **/
    margin: 0;
    border-radius: 0;
    padding: 2rem ;
    
}

.formulario fieldset{
    border: none;
}

.formulario legend{
    text-align: center;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: bold;
    margin-bottom: 2rem;
    color: var(--primario);
}

@media (min-width: 768px){
    .contenedor-campos{
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: auto;
        column-gap: 1rem;
    }

    .formulario{
        margin: 10% auto;
        border-radius: 1rem;
    }

}

.campo{
    margin-bottom: 1rem;
}

.checkbox{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 1rem;
}

.checkbox label{
    border: 1px solid var(--gris-claro);
    padding: .3rem;
    border-radius: 8px;
}

@media (min-width: 768px){
    .checkbox{
        display: flex;
        flex-direction: column;
    }
    .checkbox label{
        border: 0;
        padding: 0;
    }
}

.campo--install{
    grid-column: 1 / 4;
    border-top: 1px solid var(--gris-claro);
    padding: 1rem 0;
}

.campo label{
    color: var(--blanco);
    font-weight: bold;
    margin-bottom: .5rem;
    display: block;
}





/* .campo input[type="text"]{ Selector de atributo 
    background-color: red;
} */

.input{
    width: 100%;
    border: none;
    padding: 1.5rem;
    border-radius: .5rem;
}


/** footer **/

.footer{
    text-align: center;
}

.cotizacion{
    background-color: var(--green);
    display: block;
    padding: .5rem;
}

.cotizacion p{
    color: var(--oscuro);
}

